Ubuntu

terminatorX crashes after clicking on mouse grab button

Reported by Bart Grzybicki on 2009-11-01
94
This bug affects 18 people
Affects Status Importance Assigned to Milestone
terminatorx (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: terminatorx

Hi.

After loading mp3 file, clicking on power button and then clicking on mouse grab button terminatorX crashes:

The program 'terminatorX' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAccess (attempt to access private resource denied)'.
  (Details: serial 7 error_code 10 request_code 2 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

I've attached ubuntu-bug report. Let mi know if any additional information is needed.

ProblemType: Bug
Architecture: amd64
Date: Sun Nov 1 21:11:33 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: terminatorx 3.82-7.2ubuntu1
ProcEnviron:
 LANG=pl_PL.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: terminatorx
Uname: Linux 2.6.31-14-generic x86_64

Related branches

Bart Grzybicki (bgrzybicki) wrote :
i1abnrk (i1abnrk) wrote :

I'm having the same issue with 2.6.31-14 x86. The program just exits without a crash warning.
Don't know how to grab the crash log. Anyone?
I have the same problem loading .wav

Bart Grzybicki (bgrzybicki) wrote :

To collect essential information type in a console window: apport-bug terminatorx.
I've done latest updates and the problem persists on the latest kernel:

2.6.31-15-generic #50-Ubuntu SMP Tue Nov 10 14:53:52 UTC 2009 x86_64 GNU/Linux

Bart Grzybicki (bgrzybicki) wrote :

Loading wav files causes crash either.

GodzillaRatus (godzilla-ratus) wrote :

Did it work on Jaunty? I'm having the same problem , but only ever tried it on Karmic

Bart Grzybicki (bgrzybicki) wrote :

It worked on Jaunty perfectly. On x86 version, at least. We know know, that it ain't working on amd64 neither on x86 version of Karmic.

Alexander Koenig (alex-lisas) wrote :

OK, I've traced this down to the XGrabPointer() call, this is what triggers the 'BadAccess' error. Unfortunately according to its man page XGrabPointer() should not fail with 'BadAccess', at least it is not documented. I'll try to come up with an isolated test case to see whether this is an xlib issue. Loading WAV files works without problems with the karmic build for me.

Bart Grzybicki (bgrzybicki) wrote :

Alexander, have you tried loading wav files on 64-bit or 32-bit version of Karmic?

Alexander Koenig (alex-lisas) wrote :

Bart, on both actually. Just re-checked on 64bit, works fine for me. Can you try loading http://terminatorx.org/files/beat.wav - just to check whether it is an issue with your specific file.

Bart Grzybicki (bgrzybicki) wrote :

Downloaded and checked with this file. The application crashes also.

bart@bartgee:~$ Xorg -version

X.Org X Server 1.6.4
Release Date: 2009-9-27
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-23-server x86_64 Ubuntu
Current Operating System: Linux bartgee 2.6.31-15-generic #50-Ubuntu SMP Tue Nov 10 14:53:52 UTC 2009 x86_64
Kernel command line: BOOT_IMAGE=/vmlinuz-2.6.31-15-generic root=/dev/mapper/lvg1-rootlvm ro quiet splash
Build Date: 26 October 2009 05:19:56PM
xorg-server 2:1.6.4-2ubuntu4 (buildd@)
 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
bart@bartgee:~$

I have even checked with compiz turned off - terminatorX crashes too.

Maybe it's because my hardware? I'm using Dell Latitude laptop D830 with the newest A14 bios. But I don't think so, because it worked on Jaunty.

0lo (olo) wrote :

Thi bug affects me too - exactly as Bart described.

Alexander Koenig (alex-lisas) wrote :

Bart, sorry I understood you had tX crashing when loading wav files, even without clicking grab. Regarding the grab crash, the isolated xlib test suggests that the pure xlib calls seem to work, the link http://www.linuxinsight.com/vmware-mouse-grab-ungrab-problem.html seems to suggest that gtk+ 2.18 has seen some changes regarding the mouse grab, so potentially this could be the source of the issue.

Bart Grzybicki (bgrzybicki) wrote :

Alexander - that's ok.
Crashing happens after clicking the "mouse grab" only as I've described in #1 post.

Any Ideas for a workaround for the moment here, like they did it for vmware workstation?

Bart Grzybicki (bgrzybicki) wrote :

it's been almost 4 weeks when I have reported this bug and it's not assigned to anyone even.... Can anybody take a while and take a look at it? terminatorX is a great piece of software, but it still ain't working, guys.

I am having the same issue, also with mouse-grab, using jack or oss, with the provided audio file, above, and no file loaded, or any other. Same issue with compiz enabled or disabled. Here is the full error displayed in term:

The program 'terminatorX' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAccess (attempt to access private resource denied)'.
  (Details: serial 7 error_code 10 request_code 2 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

because of "access private resource denied" I tried running as root, just to see if perms were the issue. Same thing happened.

Martanus (eyfredey) wrote :

The same with me... click on mouse-grab and it crashes without warning on karmic koala

description: updated
toosublime (chrismg) wrote :

I have this same issue on ubuntu 9.10, I've recompiled from source with the enable-debug option but haven't made much progress in the way of identifying a fix.

mrthraz (mrthraz) wrote :

same here, is this gonna get fixed.

tX has the best scratch of anything out there open or closed source.

i was trying you use mixxx with a bcd3000 & an ion discover dj but
mixxx's scratches sound horrible so i connected a dm2 to both mixxx and
tX, using a bcf1010 to switch the midi assessments (you gotta love jack)

but tX keeps crashing on me with my wacom tablet or mouse. tX is just not
designed for midi.

mouse movements work best of it.

is anyone even gonna respond?

iskra (thecryoflove) wrote :

I've got the same problem as everyone else here... i've tried it with debian lenny xorg and also with sid (i know sid is 1.8).

I've tried this in fedora, mandriva, ubuntu (10 and 9), and i'm surrently in debian... just trying to get tX working!

just thought i'd register and post so people know we care about this program!

tyler

I have the same issue after building from source, with WAV or MP3 file.

dirtythekid (dirtythekid) wrote :

I'm in the same boat. Music loads fine, but as soon as I hit "Mouse Grab" it crashes instantly. Just made an enclosed turntable just for this, I would love it if someone could help out with the issue. This software has awesome potential that I haven't gotten to fully unleash yet.

dirtythekid (dirtythekid) wrote :

Any updates on this matter? I've been messing with tX trying to stumble on a fix but nothing has worked yet.

jacobomundo (jacobomundo) wrote :

I am having the same problem as Bart describes, in Ubuntu 10.04. Please somebody give us some light. Thank you in advanced.

janstilo (janstilo) wrote :

idem for me, in kubuntu 10.04. Crash after pressing mouse grab button

BrainFucker (retratserif) wrote :

Found out how to make it work.
Download old libgtk package (i used Hardy version, http://packages.ubuntu.com/hardy/libgtk2.0-0) and unpacked libraries from that .deb file into ~/.terminatorX/lib

Launch it with command sudo -u $USER env LD_LIBRARY_PATH="/home/$USER/.terminatorX/lib" GTK2_RC_FILES="/usr/share/themes/Raleigh/gtk-2.0/gtkrc" terminatorX

If I start without sudo it returns error terminatorX: symbol lookup error: /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: undefined symbol: gtk_widget_is_drawable

You don't need define GTK2_RC_FILES variable if You don't use KDE or QtCurve style.

Alexander Koenig (alex-lisas) wrote :

Good news, everyone: I finally managed to get this fixed upstream. The complete mouse grabbing code had to be moved from on thread to the other, either gtk+ or x.org broke multiple XDisplay connections from multiple threads. Hopefully the maintainers can update the terminatorx package to the new version soon. If you do not want to wait for the Ubuntu package to upgrade and know how to install software manually, please give the new version a try: Get your system ready to build terminatorX by running:

sudo apt-get build-dep terminatorx

Grab the tarball (http://terminatorx.org/dist/terminatorX-3.83.tar.bz2), extract and build with the standard ./configure; make install routine.

Works flawlessly on Maverick/x86_64, test-compiled for x86 as well. Good luck.

You are a wonderful person for fixing this.

Thank you.

On Tue, Feb 8, 2011 at 5:59 PM, Alexander Koenig
<email address hidden> wrote:
> Good news, everyone: I finally managed to get this fixed upstream. The
> complete mouse grabbing code had to be moved from on thread to the
> other, either gtk+ or x.org broke multiple XDisplay connections from
> multiple threads. Hopefully the maintainers can update the terminatorx
> package to the new version soon. If you do not want to wait for the
> Ubuntu package to upgrade and know how to install software manually,
> please give the new version a try: Get your system ready to build
> terminatorX by running:
>
> sudo apt-get build-dep terminatorx
>
> Grab the tarball (http://terminatorx.org/dist/terminatorX-3.83.tar.bz2),
> extract and build with the standard ./configure; make install routine.
>
> Works flawlessly on Maverick/x86_64, test-compiled for x86 as well. Good
> luck.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/469365
>
> Title:
>  terminatorX crashes after clicking on mouse grab button
>

Andrew Hamlin (aahamlin) wrote :

Thanks for the fix. I have been trying to track this down the past couple days. Found the breaking change. May be of interest to others running/building GTK based applications. See the GTK 2.18 release notes, http://www.gtk.org/notes/gtk-2.18.0-notes.txt.

Launch terminatorx-3.82, `env GDK_NATIVE_WINDOWS=1 terminatorx` to have gtk fallback to the old window behavior.

That being said, I am building the 3.83 release now. And thanks again...

Andrew Hamlin (aahamlin) wrote :

If anyone is interested I created a local deb package for my Ubuntu box and documented the steps here: https://sourceforge.net/userapps/wordpress/aahamlin/2011/02/12/create-new-debian-package-from-scratch/

Also this included an update to terminatorx build to rely on jack2 dev libraries instead of jack1.

DNS (dns) wrote :

For the lazy ones: You can download TerminatorX for *buntu Lucid, Maverick, Natty & Oneiric @ https://launchpad.net/~dns/+archive/sound

Sunny greetings,
DNS

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package terminatorx - 3.84-2

---------------
terminatorx (3.84-2) unstable; urgency=low

  * Add missing #include to prevent build failure on
    kfreebsd. (Closes: #667082)

 -- Alessio Treglia <email address hidden> Wed, 04 Apr 2012 08:50:42 +0200

Changed in terminatorx (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers